// watchDogTest.cc

#include <stdlib.h>
#include <stddef.h>
#include <string.h>
#include <stdio.h>

#include "epicsThread.h"
#include "WatchDog.h"

extern "C" int watchDogTest();

static void myCallback(void *pvt)
{
    printf("myCallback pvt %p\n",pvt);
}

int watchDogTest()
{
    WatchDog *pwatchDog = new WatchDog;
    printf("call start and see if callback occurs\n");
    pwatchDog->start(1.0,myCallback,0);
    epicsThreadSleep(2.0);
    printf("call start and cancel callback\n");
    pwatchDog->start(1.0,myCallback,0);
    epicsThreadSleep(.05);
    pwatchDog->cancel();
    printf("call start and see if callback occurs\n");
    pwatchDog->start(1.0,myCallback,(void *)4);
    epicsThreadSleep(2.0);
    delete pwatchDog;
    return(0);
}

